org.optaplanner.core.impl.constructionheuristic.scope

## Class ConstructionHeuristicStepScope<Solution_>

- java.lang.Object
- - org.optaplanner.core.impl.phase.scope.AbstractStepScope<Solution_>
  - - org.optaplanner.core.impl.constructionheuristic.scope.ConstructionHeuristicStepScope<Solution_>

- Type Parameters:
    `Solution_` - the solution type, the class with the `PlanningSolution` annotation

      public class ConstructionHeuristicStepScope<Solution_>
      extends AbstractStepScope<Solution_>

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope

      `bestScoreImproved, clonedSolution, score, stepIndex`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructionHeuristicStepScope(ConstructionHeuristicPhaseScope<Solution_> phaseScope)`
    `ConstructionHeuristicStepScope(ConstructionHeuristicPhaseScope<Solution_> phaseScope, int stepIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getEntity()`
    `ConstructionHeuristicPhaseScope<Solution_>` | `getPhaseScope()`
    `Long` | `getSelectedMoveCount()`
    `Move<Solution_>` | `getStep()`
    `String` | `getStepString()`
    `Move<Solution_>` | `getUndoStep()`
    `void` | `setEntity(Object entity)`
    `void` | `setSelectedMoveCount(Long selectedMoveCount)`
    `void` | `setStep(Move<Solution_> step)`
    `void` | `setStepString(String stepString)`
    `void` | `setUndoStep(Move<Solution_> undoStep)`

    - ### Methods inherited from class org.optaplanner.core.impl.phase.scope.AbstractStepScope

      `createOrGetClonedSolution, getBestScoreImproved, getClonedSolution, getScore, getScoreDirector, getStepIndex, getWorkingRandom, getWorkingSolution, setBestScoreImproved, setClonedSolution, setScore, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstructionHeuristicStepScope

          public ConstructionHeuristicStepScope(ConstructionHeuristicPhaseScope<Solution_> phaseScope)

    - #### ConstructionHeuristicStepScope

          public ConstructionHeuristicStepScope(ConstructionHeuristicPhaseScope<Solution_> phaseScope,
                                                int stepIndex)

  - ### Method Detail

    - #### getPhaseScope

          public ConstructionHeuristicPhaseScope<Solution_> getPhaseScope()

      Specified by:
        `getPhaseScope` in class `AbstractStepScope<Solution_>`

    - #### getEntity

          public Object getEntity()

    - #### setEntity

          public void setEntity(Object entity)

    - #### getStep

          public Move<Solution_> getStep()

    - #### setStep

          public void setStep(Move<Solution_> step)

    - #### getStepString

          public String getStepString()

      Returns:
        null if logging level is to high

    - #### setStepString

          public void setStepString(String stepString)

    - #### getUndoStep

          public Move<Solution_> getUndoStep()

    - #### setUndoStep

          public void setUndoStep(Move<Solution_> undoStep)

    - #### getSelectedMoveCount

          public Long getSelectedMoveCount()

    - #### setSelectedMoveCount

          public void setSelectedMoveCount(Long selectedMoveCount)

Copyright © 2006–2021 JBoss by Red Hat. All rights reserved.